package cc.fascinated.model.user.hmd;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author Fascinated (fascinated7)
 */
@AllArgsConstructor
@Getter
public enum DeviceHeadset {
    UNKNOWN("Unknown"),

    /**
     * Oculus HMDs
     */
    OCULUS_CV1("Rift"),
    OCULUS_QUEST("Quest"),
    OCULUS_QUEST_2("Quest 2"),
    OCULUS_QUEST_3("Quest 3"),
    OCULUS_RIFT_S("Rift S"),

    /**
     * HTC HMDs
     */
    HTC_VIVE("Vive"),

    /**
     * HP HMDs
     */
    HP_REVERB("HP Reverb"),

    /**
     * Valve HMDs
     */
    VALVE_INDEX("Valve Index");

    /**
     * The name of the headset.
     */
    private final String name;

    /**
     * Gets a headset by its name.
     *
     * @param name the name of the headset
     * @return the headset
     */
    public static DeviceHeadset getByName(String name) {
        for (DeviceHeadset deviceHeadset : values()) {
            if (deviceHeadset.getName().equalsIgnoreCase(name)) {
                return deviceHeadset;
            }
        }
        return null;
    }
}
